> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.tamtam.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Enrich people with email and phone data

> Submit a batch of people for enrichment. Returns a request ID to poll for results via the GET endpoint.



## OpenAPI

````yaml /reference/openapi.yaml post /v2/people/enrich
openapi: 3.1.0
info:
  title: Tamtam Public API
  version: 2.0.0
servers:
  - url: https://api.tamtam.ai/api
security: []
paths:
  /v2/people/enrich:
    post:
      tags:
        - People Enrichment
      summary: Enrich people with email and phone data
      description: >-
        Submit a batch of people for enrichment. Returns a request ID to poll
        for results via the GET endpoint.
      operationId: enrich-people
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EnrichPeopleInputBody'
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnrichPeopleOutputBody'
          description: Accepted
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Error
      security:
        - apikeyAuth: []
        - bearerAuth: []
components:
  schemas:
    EnrichPeopleInputBody:
      additionalProperties: false
      properties:
        requests:
          description: List of people to enrich
          items:
            $ref: '#/components/schemas/EnrichPeopleItemDto'
          maxItems: 100
          minItems: 1
          type:
            - array
            - 'null'
      required:
        - requests
      type: object
    EnrichPeopleOutputBody:
      additionalProperties: false
      properties:
        item_count:
          description: Number of items submitted
          examples:
            - 1
          format: int64
          type: integer
        request_id:
          description: Unique identifier for polling enrichment results
          examples:
            - b3c6f5e2-1234-4abc-9def-0123456789ab
          type: string
        status:
          description: 'Current status: PROCESSING, COMPLETED, FAILED'
          examples:
            - PROCESSING
          type: string
      required:
        - request_id
        - status
        - item_count
      type: object
    ErrorModel:
      additionalProperties: false
      properties:
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    EnrichPeopleItemDto:
      additionalProperties: false
      properties:
        company_name:
          description: Company name
          examples:
            - TAMTAM
          type: string
        custom:
          additionalProperties:
            type: string
          description: Custom key-value pairs returned with results
          type: object
        domain:
          description: Company domain
          examples:
            - tamtam.ai
          minLength: 1
          type: string
        enrich_fields:
          description: 'Fields to enrich: contact.emails, contact.phones'
          examples:
            - - contact.emails
              - contact.phones
          items:
            type: string
          minItems: 1
          type:
            - array
            - 'null'
        firstname:
          description: Person first name
          examples:
            - Elliot
          minLength: 1
          type: string
        lastname:
          description: Person last name
          examples:
            - Alderson
          minLength: 1
          type: string
        linkedin_url:
          description: LinkedIn profile URL
          examples:
            - https://www.linkedin.com/in/elliot-alderson
          type: string
      required:
        - firstname
        - lastname
        - domain
        - enrich_fields
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    apikeyAuth:
      description: Account API key passed in the Authorization header
      in: header
      name: Authorization
      type: apiKey
    bearerAuth:
      description: Bearer JWT obtained via the OAuth 2.1 authorization flow
      scheme: bearer
      type: http

````